package com.ruoyi.cs.service;

import java.util.List;
import com.ruoyi.cs.domain.CsApprovalCarbonCopy;
import com.ruoyi.cs.domain.dto.CsApprovalCarbonCopyDTO;

/**
 * 审核抄送记录Service接口
 * 
 * @author cc
 * @date 2024-04-30
 */
public interface ICsApprovalCarbonCopyService 
{
    /**
     * 查询审核抄送记录
     * 
     * @param carbonCopyId 审核抄送记录主键
     * @return 审核抄送记录
     */
    public CsApprovalCarbonCopy selectCsApprovalCarbonCopyByCarbonCopyId(String carbonCopyId);

    /**
     * 查询审核抄送记录列表
     * 
     * @param csApprovalCarbonCopy 审核抄送记录
     * @return 审核抄送记录集合
     */
    public List<CsApprovalCarbonCopy> selectCsApprovalCarbonCopyList(CsApprovalCarbonCopy csApprovalCarbonCopy);

    /**
     * 新增审核抄送记录
     * 
     * @param csApprovalCarbonCopy 审核抄送记录
     * @return 结果
     */
    public int insertCsApprovalCarbonCopy(CsApprovalCarbonCopy csApprovalCarbonCopy);

    /**
     * 修改审核抄送记录
     * 
     * @param csApprovalCarbonCopy 审核抄送记录
     * @return 结果
     */
    public int updateCsApprovalCarbonCopy(CsApprovalCarbonCopy csApprovalCarbonCopy);

    /**
     * 批量删除审核抄送记录
     * 
     * @param carbonCopyIds 需要删除的审核抄送记录主键集合
     * @return 结果
     */
    public int deleteCsApprovalCarbonCopyByCarbonCopyIds(String[] carbonCopyIds);

    /**
     * 删除审核抄送记录信息
     * 
     * @param carbonCopyId 审核抄送记录主键
     * @return 结果
     */
    public int deleteCsApprovalCarbonCopyByCarbonCopyId(String carbonCopyId);


    /**
     * 批量新增抄送
     * @param dto
     * @return
     */
    public int batchInsertCopy(CsApprovalCarbonCopyDTO dto);

    /**
     * 批量删除审核抄送
     * @param formId
     * @param formType
     * @return
     */
    public int deleteCopys(String formId, String formType);

    /**
     * xcx_用户消息全部已读
     * @return
     */
    public int updateReadForXcx();

}
